## sickle 1.33

=== Makefile ===
PROGRAM_NAME = sickle
VERSION = 1.33
CC = gcc
CFLAGS = -Wall -pedantic -DVERSION=$(VERSION)
DEBUG = -g
OPT = -O3
ARCHIVE = $(PROGRAM_NAME)_$(VERSION)
LDFLAGS=
LIBS = -lz
SDIR = src

.PHONY: clean default build distclean dist debug

default: build

sliding.o: $(SDIR)/sliding.c $(SDIR)/kseq.h $(SDIR)/sickle.h
	$(CC) $(CFLAGS) $(OPT) -c $(SDIR)/$*.c

trim_single.o: $(SDIR)/trim_single.c $(SDIR)/sickle.h $(SDIR)/kseq.h
	$(CC) $(CFLAGS) $(OPT) -c $(SDIR)/$*.c

trim_paired.o: $(SDIR)/trim_paired.c $(SDIR)/sickle.h $(SDIR)/kseq.h
	$(CC) $(CFLAGS) $(OPT) -c $(SDIR)/$*.c

sickle.o: $(SDIR)/sickle.c $(SDIR)/sickle.h
	$(CC) $(CFLAGS) $(OPT) -c $(SDIR)/$*.c

print_record.o: $(SDIR)/print_record.c $(SDIR)/print_record.h
	$(CC) $(CFLAGS) $(OPT) -c $(SDIR)/$*.c

clean:
	rm -rf *.o $(SDIR)/*.gch ./sickle

distclean: clean
	rm -rf *.tar.gz

dist:
	tar -zcf $(ARCHIVE).tar.gz src Makefile

build: sliding.o trim_single.o trim_paired.o sickle.o print_record.o
	$(CC) $(CFLAGS) $(LDFLAGS) $(OPT) $? -o sickle $(LIBS)

debug:
	$(MAKE) build "CFLAGS=-Wall -pedantic -g -DDEBUG"

=== debian/changelog ===
sickle (1.33-1) unstable; urgency=medium

  * Initial upload to Debian (Closes: #789707)

 -- Andreas Tille <tille@debian.org>  Tue, 23 Jun 2015 21:08:09 +0200

sickle (0.94-1biolinux1.1) trusty; urgency=low

  * Rebuild for Trusty
  * Pass standard CFLAGS to build

 -- Tim Booth <tbooth@ceh.ac.uk>  Wed, 07 May 2014 16:43:48 +0100

sickle (0.94-0precise2) precise; urgency=low

  * Fix manpage to have more useful info

 -- Tim Booth <tbooth@ceh.ac.uk>  Mon, 29 Apr 2013 12:47:44 +0100

sickle (0.94-0precise1) precise; urgency=low

  * Initial build for PPA.

 -- Tim Booth <tbooth@ceh.ac.uk>  Mon, 29 Apr 2013 12:00:14 +0100

=== debian/control ===
Source: sickle
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Tim Booth <tbooth@ceh.ac.uk>
Section: science
Priority: optional
Build-Depends: zlib1g-dev,
               help2man (>= 1.40.4),
               debhelper (>= 9)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/sickle/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/sickle/trunk/
Homepage: https://github.com/najoshi/sickle

Package: sickle
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: windowed adaptive trimming tool for FASTQ files using quality
 Most modern sequencing technologies produce reads that have deteriorating
 quality towards the 3'-end. Incorrectly called bases here negatively impact
 assembles, mapping, and downstream bioinformatics analyses.
 .
 Sickle is a tool that uses sliding windows along with quality and length
 thresholds to determine when quality is sufficiently low to trim the 3'-end
 of reads. It will also discard reads based upon the length threshold. It takes
 the quality values and slides a window across them whose length is 0.1 times
 the length of the read. If this length is less than 1, then the window is set
 to be equal to the length of the read. Otherwise, the window slides along the
 quality values until the average quality in the window drops below the
 threshold. At that point the algorithm determines where in the window the drop
 occurs and cuts both the read and quality strings there. However, if the cut
 point is less than the minimum length threshold, then the read is discarded
 entirely.
 .
 Sickle supports four types of quality values: Illumina, Solexa, Phred, and
 Sanger. Note that the Solexa quality setting is an approximation (the actual
 conversion is a non-linear transformation). The end approximation is close.
 .
 Sickle also supports gzipped file inputs.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# export DH_VERBOSE=1

override_dh_clean:
	dh_clean
	rm -f README.help2man sickle.1

override_dh_auto_build:
	dh_auto_build
	echo '[DESCRIPTION]' > README.help2man
	grep -A200 '^## Usage' README.md >> README.help2man
	help2man --no-discard-stderr -i README.help2man \
	     -n "windowed adaptive trimming tool for FASTQ files using quality" \
	     ./sickle > sickle.1

get-orig-source:
	echo Source was donloaded from GitHub.  There is no script to fetch it (yet)

=== debian/watch ===
version=3

https://github.com/najoshi/sickle/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## sickle 1.33+git20150314.f3d6ae3

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 	rm -rf *.tar.gz
 
 dist:
-	tar -zcf $(ARCHIVE).tar.gz src Makefile
+	tar -zcf $(ARCHIVE).tar.gz src Makefile README.md sickle.xml LICENSE
 
 build: sliding.o trim_single.o trim_paired.o sickle.o print_record.o
 	$(CC) $(CFLAGS) $(LDFLAGS) $(OPT) $? -o sickle $(LIBS)

=== debian/changelog ===
sickle (1.33+git20150314.f3d6ae3-2) unstable; urgency=medium

  * Team Upload.

  [ Steffen Moeller ]
  * d/u/metadata: yamllint
  * Update metadata with ref to conda

  [ Nilesh Patra ]
  * Update upstream/metadata
  * Add "Rules-Requires-Root:no"
  * Add autopkgtests

  [ Andreas Tille ]
  * Add salsa-ci file (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 27 Jun 2020 21:10:17 +0530

sickle (1.33+git20150314.f3d6ae3-1) unstable; urgency=medium

  * Use git mode in watch file to include some interesting commits
    after latest release
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Wed, 24 Oct 2018 19:31:53 +0200

sickle (1.33-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Sat, 18 Nov 2017 16:50:07 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Section: science
 Priority: optional
 Build-Depends: zlib1g-dev,
-               help2man (>= 1.40.4),
-               debhelper (>= 9)
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/sickle/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/sickle/trunk/
+               help2man,
+               debhelper-compat (= 13)
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/med-team/sickle
+Vcs-Git: https://salsa.debian.org/med-team/sickle.git
 Homepage: https://github.com/najoshi/sickle
+Rules-Requires-Root: no
 
 Package: sickle
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@
@@ -16,6 +18,3 @@
 	help2man --no-discard-stderr -i README.help2man \
 	     -n "windowed adaptive trimming tool for FASTQ files using quality" \
 	     ./sickle > sickle.1
-
-get-orig-source:
-	echo Source was donloaded from GitHub.  There is no script to fetch it (yet)
